Loading...
Searching...
No Matches
poseClustering.h File Reference
`#include <BALL/DATATYPE/options.h>`
`#include <BALL/DOCKING/COMMON/conformationSet.h>`
`#include <BALL/MOLMEC/COMMON/snapShot.h>`
`#include <BALL/STRUCTURE/atomBijection.h>`
`#include <BALL/KERNEL/system.h>`
`#include <BALL/DATATYPE/string.h>`
`#include <BALL/MATHS/vector3.h>`
`#include <BALL/MATHS/matrix44.h>`
`#include <Eigen/Core>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/variant.hpp>`
`#include <boost/graph/adjacency_list.hpp>`
`#include <set>`
`#include <iostream>`

Go to the source code of this file.

## Classes

class | BALL::PoseClustering
| Computation of clusters of docking poses. More...
struct | BALL::PoseClustering::Option
| Option names. More...
struct | BALL::PoseClustering::Default
| Default values for options. More...
class | BALL::PoseClustering::RigidTransformation
class | BALL::PoseClustering::PosePointer
class | BALL::PoseClustering::ClusterProperties
class | BALL::PoseClustering::ClusterTreeWriter_
class | BALL::PoseClustering::ClusterTreeNodeComparator

## Namespaces

namespace | BALL

## Macros

#define | BOOST_NO_CXX11_DEFAULTED_FUNCTIONS

## Variables

| SNAPSHOT_RMSD
| RIGID_RMSD
| C_ALPHA
| HEAVY_ATOMS
| BACKBONE
| ALL_ATOMS
| TRIVIAL_COMPLETE_LINKAGE
| SLINK_SIBSON
| CLINK_DEFAYS
| NEAREST_NEIGHBOR_CHAIN_WARD

## Macro Definition Documentation

## BOOST_NO_CXX11_DEFAULTED_FUNCTIONS

#define BOOST_NO_CXX11_DEFAULTED_FUNCTIONS

Definition at line 49 of file poseClustering.h.

## Variable Documentation

## ALL_ATOMS

ALL_ATOMS

Definition at line 180 of file poseClustering.h.

## BACKBONE

BACKBONE

Definition at line 179 of file poseClustering.h.

## C_ALPHA

C_ALPHA

Definition at line 177 of file poseClustering.h.

## CLINK_DEFAYS

CLINK_DEFAYS

Definition at line 188 of file poseClustering.h.

## HEAVY_ATOMS

HEAVY_ATOMS

Definition at line 178 of file poseClustering.h.

## NEAREST_NEIGHBOR_CHAIN_WARD

NEAREST_NEIGHBOR_CHAIN_WARD

Definition at line 189 of file poseClustering.h.

## RIGID_RMSD

RIGID_RMSD

Definition at line 171 of file poseClustering.h.

## SLINK_SIBSON

SLINK_SIBSON

Definition at line 187 of file poseClustering.h.

## SNAPSHOT_RMSD

SNAPSHOT_RMSD

Definition at line 170 of file poseClustering.h.

## TRIVIAL_COMPLETE_LINKAGE

TRIVIAL_COMPLETE_LINKAGE

Definition at line 186 of file poseClustering.h.